From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/mpg123-el/
Date: Mon, 9 Dec 2024 10:55:53 +0000 (UTC) [thread overview]
Message-ID: <1733741731.5daa764a2181d57551f5fa9db558a528dc302455.ulm@gentoo> (raw)
commit: 5daa764a2181d57551f5fa9db558a528dc302455
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 9 10:55:31 2024 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Dec 9 10:55:31 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5daa764a
app-emacs/mpg123-el: add 1.65
Closes: https://bugs.gentoo.org/946145
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
app-emacs/mpg123-el/Manifest | 1 +
app-emacs/mpg123-el/mpg123-el-1.65.ebuild | 32 +++++++++++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/app-emacs/mpg123-el/Manifest b/app-emacs/mpg123-el/Manifest
index 655133bd4014..39f123ce0504 100644
--- a/app-emacs/mpg123-el/Manifest
+++ b/app-emacs/mpg123-el/Manifest
@@ -1 +1,2 @@
DIST mpg123-el-1.61.tar.xz 34216 BLAKE2B 3f0f85bbf0f5854b899aefb443f9b2b011dd5dd85c815fc8be723bade93be805b121e952cab3c56a3897bed41fa65988331c004537e565abcb660b6dd402a0c5 SHA512 96b50a8fc945c6811bce7b8cfa28fe235f2d2ddf9cbd1904c94f272f6df13a991761dbb4f186c1bda04720fb50115515361dbff4838e7623261719f2ecc6698e
+DIST mpg123-el-1.65.tar.xz 35716 BLAKE2B d70d91d9eacb5ea7199746367d5748ece0faf406c4c7380972bb92b345396430e74ae0047f6a0590783f6cf6452556b11011a5656a8214cfdf2a664d6605b548 SHA512 d8891ff7187dea07a2d4e768504ec8936d49c1367b1d9fd00a294a74f2f489497f38feb2725e756f4d3c9801bb83a93fd063552e6943378b5b498e18d6f03f40
diff --git a/app-emacs/mpg123-el/mpg123-el-1.65.ebuild b/app-emacs/mpg123-el/mpg123-el-1.65.ebuild
new file mode 100644
index 000000000000..11fe3ce47323
--- /dev/null
+++ b/app-emacs/mpg123-el/mpg123-el-1.65.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp toolchain-funcs
+
+DESCRIPTION="Emacs front-end to mpg123 audio player and OggVorbis audio player"
+HOMEPAGE="https://www.gentei.org/~yuuji/software/mpg123el/"
+SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
+
+LICENSE="mpg123-el"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="media-sound/mpg123
+ media-sound/alsa-utils"
+
+PATCHES=( "${FILESDIR}/${PN}-1.61-stdlib.patch" )
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+ $(tc-getCC) ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} -o tagput tagput.c || die
+ $(tc-getCC) ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} -o id3put id3put.c || die
+ elisp-compile *.el
+}
+
+src_install() {
+ dobin tagput id3put
+ elisp-install ${PN} *.el *.elc
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+}
next reply other threads:[~2024-12-09 10:55 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-09 10:55 Ulrich Müller [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-22 17:34 [gentoo-commits] repo/gentoo:master commit in: app-emacs/mpg123-el/ Arthur Zamarin
2025-01-22 11:45 Arthur Zamarin
2024-12-09 10:57 Ulrich Müller
2022-07-21 7:31 Ulrich Müller
2019-11-19 12:48 Agostino Sarubbo
2019-11-18 11:50 Agostino Sarubbo
2019-10-17 13:19 Ulrich Müller
2019-10-17 10:32 Agostino Sarubbo
2019-10-17 10:25 Agostino Sarubbo
2019-10-15 9:00 Agostino Sarubbo
2017-02-05 11:07 Ulrich Müller
2017-02-05 10:31 Ulrich Müller
2017-02-05 10:31 Ulrich Müller
2017-02-05 10:31 Ulrich Müller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1733741731.5daa764a2181d57551f5fa9db558a528dc302455.ulm@gentoo \
--to=ulm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox